<!--  SEARCH BY TAGS  -->
<div class="row">
  <div class="col-lg-12">
    <%= form_tag post_index_path, method: :get do %>
      <div class="input-group">
        <%= text_field_tag :tag, params[:tag], placeholder: 'Search by tags...', :class=> "form-control"%>
        <span class="input-group-btn">
          <%= submit_tag 'Search', name: nil, method: :get, :class=> "btn btn-default" %>
        </span>
      </div>
    <% end %>
  </div><!-- /.col-lg-6 -->
</div><!-- /.row -->

<!-- POSTS CARDS -->
<div class="row">
  <% @posts.each do |post| %>
  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <% unless post.image_file_name.nil? %>
        <%= link_to post_path(post) do %>
          <%= image_tag post.image.url(:medium) %>
        <% end %>  
      <% end %>  
      <div class="caption">
        <h3><%= link_to post.title, post_path(post), :class=> "black" %></h3>
        <p><br/>
          <% unless post.ratings.average(:value).nil? %>
            <i><strong>Rating: </strong><%= post.ratings.average(:value) %></i>
          <% end %>
        </p>

        <% if current_user.admin? %>
        <p><br/>
          <%= link_to 'Edit', edit_post_path(post), :class=> "btn btn-green" %>
          <%= link_to 'Delete', post_path(post),
                      method: :delete,
                      data: { confirm: 'Are you sure?' }, :class=> "btn btn-danger" %>
        </p>
        <%end%>

      </div>
    </div>
  </div>
  <% end %>
</div><!--/row-->



